Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177976 - SM5.....C /bin/traceroute6
Summary: SM5.....C /bin/traceroute6
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: traceroute
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-16 23:30 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 08:59:14 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2006-01-16 23:30:40 UTC
Description of problem:

After initial installation rpm is happy but once prelink is run rpm always flags 
/bin/traceroute6 as faulty

This false positive is very annoying when looking for FS damage

Version-Release number of selected component (if applicable):
traceroute-1.0.4-1.x86_64.rpm

Comment 1 Radek Vokal 2006-01-17 11:30:29 UTC
I'm not sure what's the problem here. /bin/traceroute6 is now symlink, so
prelink should only run on /bin/traceroute .. 

Comment 2 Nicolas Mailhot 2006-01-17 12:22:28 UTC
Well you know I had a FS problem, so I did a -Va and forced reinstall of all
packages rpm reported a problem on
After the reinstall rpm -V traceroute didn't report any problem

Five minutes later (after running prelink cron manually, maybe the system did
something else too) traceroute was once again marker as faulty

SM5.....C /bin/traceroute6

Comment 3 Radek Vokal 2006-01-17 14:31:50 UTC
Ok, this doesn't work for me, so it seems that there's sth else broken on your
system. I tried forced reinstall and let prelink go through all binaries and
it's still fine. If you find a clear steps to reproduce this issue, be free to
reopen this bug.

Comment 4 Nicolas Mailhot 2006-01-17 18:13:16 UTC
Well, I reproduce it all the time like this :

[root@rousalka tmp]# rpm -V traceroute
SM5.....C   /bin/traceroute6
[root@rousalka tmp]# rpm -K traceroute-1.0.4-1.x86_64.rpm
traceroute-1.0.4-1.x86_64.rpm: (sha1) dsa sha1 md5 gpg OK
[root@rousalka tmp]# rpm -Uvh --force traceroute-1.0.4-1.x86_64.rpm
Préparation...              ########################################### [100%]
   1:traceroute             ########################################### [100%]
[root@rousalka tmp]# rpm -V traceroute
[root@rousalka tmp]# /etc/cron.daily/prelink
[root@rousalka tmp]# rpm -V traceroute
SM5.....C   /bin/traceroute6

(everything is already prelinked so the prelink phase is so fast I doubt
anything else is causing the problem)

Comment 5 Radek Vokal 2006-01-20 09:04:56 UTC
Than it's maybe a rpm bug, cos it shouldn't verify md5 sums on symlinks. 

Can you verify the checksums? 

Get the file list checksum

 rpm -q --qf '[%{FILEMD5S}  %{FILENAMES}\n]' traceroute

and compare it to

 /usr/sbin/prelink -y --md5 /bin/traceroute
 /usr/sbin/prelink -y --md5 /bin/traceroute6
(they should be same, as traceroute6->traceroute)




Comment 6 Nicolas Mailhot 2006-01-20 20:31:31 UTC
The checksums seem fine but rpm still complains :
[root@rousalka tmp]# /usr/sbin/prelink -y --md5 /bin/traceroute
01a807a837a29fce2f8af4ec3ee68d35  /bin/traceroute
[root@rousalka tmp]#  /usr/sbin/prelink -y --md5 /bin/traceroute6
01a807a837a29fce2f8af4ec3ee68d35  /bin/traceroute6
[root@rousalka tmp]# rpm -q --qf '[%{FILEMD5S}  %{FILENAMES}\n]' traceroute
01a807a837a29fce2f8af4ec3ee68d35  /bin/traceroute
  /bin/traceroute6
  /usr/share/doc/traceroute-1.0.4
4c4203caac58013115c9ca4b85f296ae  /usr/share/doc/traceroute-1.0.4/COPYING.GPL
453661e9a63c20d2242274ef5d6b8c4b  /usr/share/doc/traceroute-1.0.4/ChangeLog
d226e2ead81bd4f28a91b863cfed59ff  /usr/share/doc/traceroute-1.0.4/README
a6f7b3e10ea747be9a3e0a032076d9e6  /usr/share/man/man8/traceroute.8.gz
  /usr/share/man/man8/traceroute6.8.gz
[root@rousalka tmp]# rpm -V traceroute
SM5.....C   /bin/traceroute6


Comment 7 Radek Vokal 2006-01-22 21:00:21 UTC
Reassignig to rpm for some hints .. 

Comment 8 Jeff Johnson 2006-01-25 16:45:27 UTC
Problem non-reproducible on CentOS 4.2:

[root@localhost ~]# rpm -V traceroute
[root@localhost ~]# /etc/cron.daily/prelink
[root@localhost ~]# rpm -V traceroute
[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.9-22.ELsmp #1 SMP Sat Oct 8 21:32:36 BST 2005 x86_64 x86_64 
x86_64 GNU/Linux

Hmmm, the 'C' means that SElinux file contexts on the file system don't match whatever policy is 
currently installed.

Try using restorecon on /usr/sbin/traceroute6 (or boot with selinux disabled).
Does that change the behavior? Ifr so, I think you kinow where to shove this bug.

Comment 9 Jeff Johnson 2006-01-25 16:46:18 UTC
rpm-4.4.4-1 built on vanilla CentOS 4.2.

Comment 10 Jeff Johnson 2006-02-13 23:25:58 UTC
No response, so back to traceroute.


Note You need to log in before you can comment on or make changes to this bug.